Get MCP Server
Retrieve detailed information about a specific MCP server.
Returns:
- Server configuration
- Available tools and their schemas
- Connection status
- Recent execution history
- Error logs if any
Authentication
AuthorizationBearer
Bearer token authentication using JWT tokens from Ory Kratos/Hydra
Path parameters
mcp_server_id
org_id
The unique identifier of the organization.
project_id
The unique identifier of the project.
Response
MCP server details
name
MCP server name
url
Root URL of the MCP server
id
Unique identifier for the MCP server
short_id
Short identifier for the MCP server
project_id
Project ID this MCP server belongs to
syncd
Whether the server has been sync'd to external proxy
created
Timestamp when the MCP server was created
modified
Timestamp when the MCP server was last modified
description
Description of the MCP server
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error
